MulticastSocket
Date: 2016-06-24

java.net

## Class MulticastSocket

- java.lang.Object
- - java.net.DatagramSocket
  - - java.net.MulticastSocket

-     public class MulticastSocket
      extends DatagramSocket

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MulticastSocket()`
    `MulticastSocket(int var0)`
    `MulticastSocket(SocketAddress var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress` | `getInterface()`
    `boolean` | `getLoopbackMode()`
    `NetworkInterface` | `getNetworkInterface()`
    `int` | `getTimeToLive()`
    `void` | `joinGroup(InetAddress var0)`
    `void` | `joinGroup(SocketAddress var0, NetworkInterface var1)`
    `void` | `leaveGroup(InetAddress var0)`
    `void` | `leaveGroup(SocketAddress var0, NetworkInterface var1)`
    `void` | `send(DatagramPacket var0, byte var1)` Deprecated.
    `void` | `setInterface(InetAddress var0)`
    `void` | `setLoopbackMode(boolean var0)`
    `void` | `setNetworkInterface(NetworkInterface var0)`
    `void` | `setTimeToLive(int var0)`

    - ### Methods inherited from class java.net.DatagramSocket

      `bind, close, connect, connect, disconnect, getBroadcast, getInetAddress, getLocalAddress, getLocalPort, getLocalSocketAddress, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoTimeout, getTrafficClass, isBound, isClosed, isConnected, receive, send, setBroadcast, setDatagramSocketImplFactory, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSoTimeout, setTrafficClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MulticastSocket

          public MulticastSocket()
                          throws IOException

      Throws:
        `IOException`

    - #### MulticastSocket

          public MulticastSocket(int var0)
                          throws IOException

      Throws:
        `IOException`

    - #### MulticastSocket

          public MulticastSocket(SocketAddress var0)
                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getInterface

          public InetAddress getInterface()
                                   throws SocketException

      Throws:
        `SocketException`

    - #### getLoopbackMode

          public boolean getLoopbackMode()
                                  throws SocketException

      Throws:
        `SocketException`

    - #### getNetworkInterface

          public NetworkInterface getNetworkInterface()
                                               throws SocketException

      Throws:
        `SocketException`

    - #### getTimeToLive

          public int getTimeToLive()
                            throws IOException

      Throws:
        `IOException`

    - #### joinGroup

          public void joinGroup(InetAddress var0)
                         throws IOException

      Throws:
        `IOException`

    - #### joinGroup

          public void joinGroup(SocketAddress var0,
                       NetworkInterface var1)
                         throws IOException

      Throws:
        `IOException`

    - #### leaveGroup

          public void leaveGroup(InetAddress var0)
                          throws IOException

      Throws:
        `IOException`

    - #### leaveGroup

          public void leaveGroup(SocketAddress var0,
                        NetworkInterface var1)
                          throws IOException

      Throws:
        `IOException`

    - #### send

          public void send(DatagramPacket var0,
                  byte var1)
                    throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### setInterface

          public void setInterface(InetAddress var0)
                            throws SocketException

      Throws:
        `SocketException`

    - #### setLoopbackMode

          public void setLoopbackMode(boolean var0)
                               throws SocketException

      Throws:
        `SocketException`

    - #### setNetworkInterface

          public void setNetworkInterface(NetworkInterface var0)
                                   throws SocketException

      Throws:
        `SocketException`

    - #### setTimeToLive

          public void setTimeToLive(int var0)
                             throws IOException

      Throws:
        `IOException`